import javax.swing.JOptionPane;

/**
 * 
 * @author schauer
 * 
 * Die Klasse KreisTest aus dem Java-Kurs vom 16.11.2017. 
 * 
 * Diese beinhaltet nur die Main-Methode und definiert somit den Programmablauf.
 * Hier wird der Nutzer per GUI nach dem Kreisradius gefragt. 
 *
 */
public class KreisTest {

	// Main-Methode
	public static void main(String[] args) {
		
		// Erzeugung des Objekts k1 aus der Klasse Kreis
		Kreis k1 = new Kreis();
		
		//GUI als Eingabeaufforderung
		String input = JOptionPane.showInputDialog("Bitte einen Wert fr den Radius eingeben:");
	
		// Eingabe vom typ String wird in den Typ double konvertiert. 
		double eingabe = Double.parseDouble(input);
		
		// Die Eingabe vom Typ double wird dem Kreisobjekt mittels Setter mitgeteilt. 
		k1.setRadidus(eingabe);
		
		// Ausgabe des Radius-Wertes auf der Konsole ueber den Getter der Kreis-Klasse
		System.out.println("Radius ist: "+k1.getRadius());
		
		// Aufruf der Methode getFlaeche() auf dem Objekt k1 und abspeichern in eine lokale Variabel vom Typ double.
		//double flaeche_k1 = k1.getFlaeche();
		
		//Ausgabe der Flaeche
		System.out.println("Flaeche ist: "+ String.format("%.2f", k1.getFlaeche()));
		
		// Aufruf der Methode getUmfang() auf dem Objekt k1 und direkte Ausgabe des Wertes auf der Konsole.
		// Hinweis: System.format() dient lediglich der Fomatierung des Wertes fr die Konsolenausgabe.
		System.out.println("Umfangs ist: "+String.format("%.2f", k1.getUmfang()));
		
	}
	
}
